/* $Id: ggidemo.gic.c,v 1.3 2004/09/18 12:06:58 cegger Exp $ */
#include <stdio.h>
#include <ggi/gic.h>

static char gic_default_config[]= {
	"gic:Head \"My first test application\"\n"
	"gic:  Context \"Menu context\"\n"
	"gic:    Control \"Navigate\" \"nav\"\n"
	"gic:      Feature \"prev\" \"prev\"\n"
	"gic:        Recognizer \"Key\"\n"
	"gic:          \"L e032\"\n"
	"gic:        Recognizer END\n"
	"gic:        Recognizer \"Key\"\n"
	"gic:          \"L e034\"\n"
	"gic:        Recognizer END\n"
	"gic:        Action \"menu_prev\"\n"
	"gic:        Action END\n"
	"gic:      Feature END\n"
	"gic:      Feature \"next\" \"next\"\n"
	"gic:        Recognizer \"Key\"\n"
	"gic:          \"L e033\"\n"
	"gic:        Recognizer END\n"
	"gic:        Recognizer \"Key\"\n"
	"gic:          \"L e035\"\n"
	"gic:        Recognizer END\n"
	"gic:        Recognizer \"Key\"\n"
	"gic:          \"L 0009\"\n"
	"gic:        Recognizer END\n"
	"gic:        Action \"menu_next\"\n"
	"gic:        Action END\n"
	"gic:      Feature END\n"
	"gic:      Feature \"activate\" \"act\"\n"
	"gic:        Recognizer \"Key\"\n"
	"gic:          \"L 000d\"\n"
	"gic:        Recognizer END\n"
	"gic:        Action \"menu_activate\"\n"
	"gic:        Action END\n"
	"gic:      Feature END\n"
	"gic:      Feature \"escape\" \"esc\"\n"
	"gic:        Recognizer \"Key\"\n"
	"gic:          \"L 001b\"\n"
	"gic:        Recognizer END\n"
	"gic:        Action \"menu_break\"\n"
	"gic:        Action END\n"
	"gic:      Feature END\n"
	"gic:    Control END\n"
	"gic:  Context END\n"
	"gic:  Context \"Game context\"\n"
	"gic:    Control \"Boss Key\" \"boss\"\n"
	"gic:      Feature \"boss\" \"boss\"\n"
	"gic:        Recognizer \"Key\"\n"
	"gic:          \"S 0042\"\n"
	"gic:        Recognizer END\n"
	"gic:        Action \"boss\"\n"
	"gic:        Action END\n"
	"gic:      Feature END\n"
	"gic:      Feature \"lazy\" \"lazy\"\n"
	"gic:        Recognizer \"Key\"\n"
	"gic:          \"L 004c\"\n"
	"gic:        Recognizer END\n"
	"gic:        Action \"lazy\"\n"
	"gic:        Action END\n"
	"gic:      Feature END\n"
	"gic:      Feature \"cheat\" \"cht\"\n"
	"gic:        Recognizer \"Cheat\"\n"
	"gic:          \"13 6b8b4567 25c8a92b\"\n"
	"gic:        Recognizer END\n"
	"gic:        Action \"cheat\"\n"
	"gic:        Action END\n"
	"gic:      Feature END\n"
	"gic:    Control END\n"
	"gic:    Control \"Toggles\" \"tog\"\n"
	"gic:      Feature \"AutoActive\" \"auto\"\n"
	"gic:        Recognizer \"Key\"\n"
	"gic:          \"L 0041\"\n"
	"gic:        Recognizer END\n"
	"gic:        Action \"autoactive\"\n"
	"gic:        Action END\n"
	"gic:      Feature END\n"
	"gic:      Feature \"Align\" \"ali\"\n"
	"gic:        Recognizer \"Key\"\n"
	"gic:          \"L 0043\"\n"
	"gic:        Recognizer END\n"
	"gic:        Action \"doalign\"\n"
	"gic:        Action END\n"
	"gic:      Feature END\n"
	"gic:      Feature \"Backface Culling\" \"bfc\"\n"
	"gic:        Recognizer \"Key\"\n"
	"gic:          \"L 0042\"\n"
	"gic:        Recognizer END\n"
	"gic:        Action \"backfaces\"\n"
	"gic:        Action END\n"
	"gic:      Feature END\n"
	"gic:      Feature \"Transparency\" \"tran\"\n"
	"gic:        Recognizer \"Key\"\n"
	"gic:          \"L 0054\"\n"
	"gic:        Recognizer END\n"
	"gic:        Action \"transparency\"\n"
	"gic:        Action END\n"
	"gic:      Feature END\n"
	"gic:      Feature \"Quit\" \"quit\"\n"
	"gic:        Recognizer \"Key\"\n"
	"gic:          \"L 0051\"\n"
	"gic:        Recognizer END\n"
	"gic:        Action \"quit\"\n"
	"gic:        Action END\n"
	"gic:      Feature END\n"
	"gic:    Control END\n"
	"gic:    Control \"Menu\" \"menu\"\n"
	"gic:      Feature \"Menu\" \"menu\"\n"
	"gic:        Recognizer \"Key\"\n"
	"gic:          \"S 001b\"\n"
	"gic:        Recognizer END\n"
	"gic:        Action \"menu\"\n"
	"gic:        Action END\n"
	"gic:      Feature END\n"
	"gic:    Control END\n"
	"gic:    Control \"Turning\" \"turn\"\n"
	"gic:      Feature \"up\" \"up\"\n"
	"gic:        Recognizer \"Key\"\n"
	"gic:          \"L e032\"\n"
	"gic:        Recognizer END\n"
	"gic:        Recognizer \"RelMouse\"\n"
	"gic:          \"Y ffffffec\"\n"
	"gic:        Recognizer END\n"
	"gic:        Action \"turn_up\"\n"
	"gic:        Action END\n"
	"gic:      Feature END\n"
	"gic:      Feature \"down\" \"down\"\n"
	"gic:        Recognizer \"Key\"\n"
	"gic:          \"L e033\"\n"
	"gic:        Recognizer END\n"
	"gic:        Recognizer \"RelMouse\"\n"
	"gic:          \"Y 00000012\"\n"
	"gic:        Recognizer END\n"
	"gic:        Action \"turn_down\"\n"
	"gic:        Action END\n"
	"gic:      Feature END\n"
	"gic:      Feature \"left\" \"left\"\n"
	"gic:        Recognizer \"Key\"\n"
	"gic:          \"L e034\"\n"
	"gic:        Recognizer END\n"
	"gic:        Recognizer \"RelMouse\"\n"
	"gic:          \"X ffffffef\"\n"
	"gic:        Recognizer END\n"
	"gic:        Action \"turn_left\"\n"
	"gic:        Action END\n"
	"gic:      Feature END\n"
	"gic:      Feature \"right\" \"righ\"\n"
	"gic:        Recognizer \"Key\"\n"
	"gic:          \"L e035\"\n"
	"gic:        Recognizer END\n"
	"gic:        Recognizer \"RelMouse\"\n"
	"gic:          \"X 0000000b\"\n"
	"gic:        Recognizer END\n"
	"gic:        Action \"turn_right\"\n"
	"gic:        Action END\n"
	"gic:      Feature END\n"
	"gic:      Feature \"tilt left\" \"til\"\n"
	"gic:        Recognizer \"Key\"\n"
	"gic:          \"L e038\"\n"
	"gic:        Recognizer END\n"
	"gic:        Recognizer \"MouseButton\"\n"
	"gic:          \"1\"\n"
	"gic:        Recognizer END\n"
	"gic:        Action \"tilt_left\"\n"
	"gic:        Action END\n"
	"gic:      Feature END\n"
	"gic:      Feature \"tilt right\" \"tir\"\n"
	"gic:        Recognizer \"Key\"\n"
	"gic:          \"L e039\"\n"
	"gic:        Recognizer END\n"
	"gic:        Recognizer \"MouseButton\"\n"
	"gic:          \"2\"\n"
	"gic:        Recognizer END\n"
	"gic:        Action \"tilt_right\"\n"
	"gic:        Action END\n"
	"gic:      Feature END\n"
	"gic:      Feature \"Zoom in\" \"zin\"\n"
	"gic:        Recognizer \"Key\"\n"
	"gic:          \"L e036\"\n"
	"gic:        Recognizer END\n"
	"gic:        Action \"zoom_in\"\n"
	"gic:        Action END\n"
	"gic:      Feature END\n"
	"gic:      Feature \"Zoom out\" \"zout\"\n"
	"gic:        Recognizer \"Key\"\n"
	"gic:          \"L e037\"\n"
	"gic:        Recognizer END\n"
	"gic:        Action \"zoom_out\"\n"
	"gic:        Action END\n"
	"gic:      Feature END\n"
	"gic:      Feature \"Stop\" \"stop\"\n"
	"gic:        Recognizer \"Key\"\n"
	"gic:          \"L 0053\"\n"
	"gic:        Recognizer END\n"
	"gic:        Recognizer \"MouseButton\"\n"
	"gic:          \"3\"\n"
	"gic:        Recognizer END\n"
	"gic:        Action \"stop\"\n"
	"gic:        Action END\n"
	"gic:      Feature END\n"
	"gic:    Control END\n"
	"gic:  Context END\n"
	"gic:Head END\n"
};


size_t gicWriteDefaultConfig(FILE *outfile)
{
	return fwrite(gic_default_config,sizeof(gic_default_config)-1,1,outfile);
}
